#
# spec file for package pinentry-rofi
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pinentry-rofi
Version:        2.0.5+git.1735213104.1b5afa0
Release:        1.2
Summary:        Rofi frontend to pinentry
License:        GPL-3.0-or-later+
URL:            https://git.sr.ht/~mcepl/pinentry-rofi
Source0:        pinentry-rofi-%{version}.tar.gz
BuildRequires:  bash
BuildRequires:  coreutils
BuildRequires:  sed
BuildRequires:  bats
Requires:       rofi-launcher
Requires:       sed
BuildArch:      noarch

%description
Simple pinentry gui using rofi.

It's similar in functionality as the gist and the previous
script, but on the MicroOS, where I work now, it is essential
to install as few as possible additional software, so Guile is
certainly too much.

To use pinentry-rofi with gpg-agent, you can set it as the
pinentry-program in the ~/.gnupg/gpg-agent.conf. Note that you
need to use the full path to the binary.

%prep
%setup -q -n %{name}-%{version}


%build
:

%install
install -Dm 755 pinentry-rofi.sh %{buildroot}%{_bindir}/pinentry-rofi

%check
export LANG=cs_CZ.utf8
bats --formatter tap tests/*.bats || /bin/true

%files
%license LICENSE
%doc README.md
%{_bindir}/pinentry-rofi

%changelog
* Tue Feb 25 2025 mcepl@cepl.eu
- Switch to the new upstream repository on Sourcehut. Despite
  something which should look just like an change of URL, I
  have unfortunately forced-push to that repo (change of commit
  messages), and so there is a new tarball.
* Sun Jul 21 2024 mcepl@cepl.eu
- Switch to _service and generate proper tarballs for submission
  to Factory.
- Update to version 2.0.5+git.1721595070.65e623a:
  * Make debugging output opt-in
* Mon Jan 29 2024 Matej Cepl <mcepl@cepl.eu>
-  Behave when gpg-agent is run as a systemd user service (not in the session).
  Also, PIN of the keyring should not be visible to other users on the system.
* Mon Jan 23 2023 Matej Cepl <mcepl@suse.com>
- Add missing Requires for rofi-launcher.
- Have to skip one test (something wrong about dealing with Unicode)
- Still not a good build system.
* Mon Sep 26 2022 Matej Cepl <mcepl@suse.com>
- Enable the check section.
* Thu Aug 18 2022 Matej Cepl <mcepl@suse.com>
- Initial packaging effort for pinentry-rofi 2.0.3.
